/*
 * uart.h
 * Definitions for UART.
 *
 * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _UART_H_
#define _UART_H_

#include <cslr_uart.h>
#include <cslr_tmr.h>

void UARTModeInit();
void UARTBoot(void);
Uint32 UARTSendInt(Uint32 seq);
Uint32 UARTSendData(Uint32 numBytes, Uint8* sendData);
Uint32 UARTCheckSequence(Uint32 numBytes, Uint8* seq);
Uint32 UARTGetHexData(Uint32 numBytes, Uint32* seq);
Uint32 UARTGetData(Uint32 numBytes, Uint8* seq);
#endif //_UART_H_
