/*
 * Copyright 2007 by Spectrum Digital Incorporated.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

/*
 *  DIP Switch header file
 *
 */

#ifndef DIP_
#define DIP_

#ifdef __cplusplus
extern "C" {
#endif

#include "davincihd.h"
#include "davincihd_gpio.h"
#include "davincihd_i2c_gpio.h"

/* ------------------------------------------------------------------------ *
 *  Definitions                                                             *
 * ------------------------------------------------------------------------ */
#define DIP_0                   0
#define DIP_1                   1
#define DIP_2                   2
#define DIP_3                   3

/* ------------------------------------------------------------------------ *
 *  Switch Settings                                                         *
 * ------------------------------------------------------------------------ */
#define DIP_DOWN                0       // DIP switch is DOWN
#define DIP_UP                  1       // DIP switch is UP

/* ------------------------------------------------------------------------ *
 *  I2C Address                                                             *
 * ------------------------------------------------------------------------ */
#define DIP_I2C_ADDR            I2C_GPIO_GROUP_0

/* ------------------------------------------------------------------------ *
 *  Prototypes                                                              *
 * ------------------------------------------------------------------------ */
Int16 DAVINCIHD_DIP_init( );
Int16 DAVINCIHD_DIP_get ( Int32 dip_num );
Int16 DAVINCIHD_DIP_wait( Int32 timeout );

#ifdef __cplusplus
}
#endif

#endif
